システム必要条件
SAS® Data Management Advanced 2.7(SE 17w25更新版) システム必要条件

サーバー層

SAS Data Management Advanced Server

使用する環境を選択してください。

SAS Data Management Advanced Server には、次のものが含まれます。

  • SAS Quality Knowledge Base Locale(種類は選択) このロケールを特に指定しない場合、デフォルトでSAS Quality Knowledge Base Locale for English(USA)が同梱されます。
  • 2種類の標準SAS/ACCESSエンジン(種類は選択)
  • 3種類のSAS Metadata Bridge(種類を選択)と、それに加えて、SAS Metadata Bridge for General Industry Standardsが含まれます(SAS Metadata Bridge for General Industry Standardsは、選択しなくても自動的に含まれます)。

Java SE 6 または、Java SE 7 が必須です。

Windows上では、OpenSSL 1.0 以上が必要です。 OpenSSL DLLは、Windowsシステムディレクトリ内、または、システムPATHにあるディレクトリ内にインストールすることが必須です。

UNIX環境では、ご利用のホストマシンに関連するベンダーが提供したOpenSSLライブラリがインストールされます。

  • AIX: openssl.base
  • HP-UX: openssl
  • Linux: openssl
  • Solaris 10: SUNWopenssl-libraries
  • Solaris 11: library/security/openssl

SAS Data Quality Advanced Server

使用する環境を選択してください。

SAS Data Quality Advanced Serverには、SAS Data Management Contextual Extraction Language Pack(言語は選択)が含まれます。 また、SAS Quality Knowledge Base(ロケールは選択)が含まれます。 このロケールを特に指定しない場合、デフォルトでSAS Quality Knowledge Base Locale for English(USA)が同梱されます。

SAS Visual Process Orchestration Server

使用する環境を選択してください。

SAS Authentication Server

使用する環境を選択してください。

SAS Web Studio Server

使用する環境を選択してください。

Java SE 6 または、Java SE 7 が必須です。

Windows上では、 OpenSSL 1.0 以上が必要です。 OpenSSL DLLは、Windowsシステムディレクトリ内、または、システムPATHにあるディレクトリ内にインストールすることが必須です。

UNIX環境では、ご利用のホストマシンに関連するベンダーが提供したOpenSSLライブラリがインストールされます。

  • AIX: openssl.base
  • HP-UX: openssl
  • Linux: openssl
  • Solaris 10: SUNWopenssl-libraries
  • Solaris 11: library/security/openssl

SAS Business Rules Manager Server(パッケージに含まれますが、オプションです)

使用する環境を選択してください。

SAS Business Rules Manager Serverには、1種類の標準SAS/ACCESSエンジン(種類は選択。Oracleまたは、PostgreSQL)が含まれます。

SAS Visual Analytics Administration and Reporting Server

使用する環境を選択してください。

SAS Visual Analytics Administration and Reporting Server には、1種類の標準SAS/ACCESSエンジン(種類は選択)が含まれます。 SAS Visual Analytics Administration and Reporting Server をソリューションソフトウェアとは別の筐体にインストールすることを推奨しています。

パッケージに含まれるSAS Visual Analytics LASR Server

  • SAS Visual Analytics LASR Server(非分散:Non-distributed)は、配置が非分散版LASR(Non-distributed LASR)用である場合にパッケージに自動的に含まれます。 配置が分散LASR(Distributed LASR)用である場合は、これはオプションになります。
  • SAS Visual Analytics LASR Server(分散:Distributed )は、配置が分散LASR(Distributed LASR)用である場合にパッケージに自動的に含まれます。

Hadoopのサポートに関して

Base SAS、SAS/ACCESSエンジン、およびSAS Visual Analytics Administration and Reporting Server は、コモディティハードウェア(symmetric)のヘッドノードまたは、別のハードウェア上(asymmetric)のいずれかにインストールすることができます。 そのため、Linux x64 LASRグリッドで実行していても、SAS Visual Analytics Administration and ReportingのDistributed LASR Base SASコンポーネントをWindows x64上にインストールすることができます。

SAS LASR Analytic Server (分散LASR:Distributed LASR。SAS Business Rules Managerにのみ含まれます) : x64 Linux

このマシンにインストールするSASプロダクト:
  • SAS High-Performance Computing Management Console 2.8
  • SAS High-Performance Node Installation 3.6
  • SAS Plug-ins for Hadoop 1.0

インストールするプロダクトで必要なディスク容量: 1 MB
サポートしている実行環境:
  • 64-bit版 Oracle Linux 6.1 (x64チップファミリ)
  • 64-bit版 Red Hat Enterprise Linux 6.1(x64チップファミリ)
  • 64-bit版 Red Hat Enterprise Linux 6.7(x64チップファミリ)
  • 64-bit版 Red Hat Enterprise Linux 7.1(x64チップファミリ)
  • 64-bit版 SUSE Linux Enterprise Server 11 SP1 (x64チップファミリ)

SAS LASR Analytic Server(分散モード:Distributed Mode)は、GreenplumまたはTeradata(アプライアンスはベンダーから入手)、もしくは、Hadoop(コモディティハードウェア)が必須です。

共同で使用できるHadoop File System (HDFS) (colocated HDFS)の使用はオプションですが、サポートされているHadoop環境とSAS Plug-ins for Hadoop(これはライセンスに含まれています)が必須です。 サポートされているHadoopディストリビューションに関する情報は、http://www.sas.com/offices/asiapacific/japan/service/resources/thirdpartysupport/v94/hadoop/hadoop-distributions.htmlを参照してください。 このプラグインは追加の設定が必要です。 より詳細な情報は、『SAS High-Performance Analytics Infrastructure 3.5: Installation and Configuration Guide』(英語)をhttp://support.sas.com/documentation/solutions/hpainfrastructure/のWebページよりご参照ください。

 

SAS Metadata Server

使用する環境を選択してください。

SASでは、SAS Metadata Server配置において次の事項を推奨しております。

  • 64-bitホストシステムであること
  • チューニング、管理、診断を単純化するため、専用のマシンであること
  • SAS Metadata Serverがマルチスレッドであるため、マルチコアサーバーハードウェアであること
  • 本番環境の配置においては、4コア以上であること

サーバークラスシステムのディスクI/Oパフォーマンスが十分である必要があります。 メモリの必要条件は、使用するプロダクトの組み合わせにかなり依存します。しかしながら、8 GBのRAMがあれば大抵の大規模配置にも対応可能です。 ほとんどの配置において、4GBのRAMで対応できます。より少ないメモリで賄えるような特定の配置が確認されない限り、この4GBという値が最低限必要なメモリ容量だと考えることができます。

SAS Data Servers

SAS Data Management Advancedには、次のSASデータサーバーが含まれます。これらは追加の設定が必要です。

  • SAS Job Monitor Data Server Configuration
  • SAS Data Remediation Data Server
  • SAS Data Management Data Server

これらのデータサーバーのサイズはそれぞれ中規模(medium)です。

注意: ソフトウェアを構成する際は、各データサーバーのサイズを考慮する必要があります。

インストール、アップデート、もしくは同じマシンへの1つまたは複数のSASデータサーバーの展開につながるプロダクトやソリューションの追加をする前に、共有メモリとセマフォのためにカーネルパラメータの変更が必要です。 小規模、中規模、大規模なデータサーバーの構成に関する詳細は、『SAS 9.4 Web Applications: Tuning for Performance and Scalability, Second Edition』の「Tuning the PostgreSQL Data Server」の章をご確認ください。ドキュメントは、こちらのWebページよりご確認いただけます: http://www.sas.com/offices/asiapacific/japan/service/documentation/onlinedoc/intellplatform/tabs/admin94.html


ミドル層

Data Management Advanced and SAS Business Rules Manager Mid-Tier

使用する環境を選択してください。

Java SE 6 または、Java SE 7 が必須です。

SAS Visual Analytics Administration and Reporting Mid-Tier

使用する環境を選択してください。

SAS Visual Analytics Administration and Reporting Mid-Tierを別筐体にインストールすることを推奨しています。

Web アプリケーションサーバー

SASソリューションソフトウェアをインストールする際、SAS Deployment Managerが必要なWebアプリケーションサーバーとWebサーバーのインストールと設定を行います。

これらのサーバーをインストールするには、ミドル層でサポートしているオペレーティングシステムからいずれか1つを選択します。

注意: これらのサーバーをz/OSまたは、32-bit版 Windowsプラットフォームにインストールすることはできません。


クライアント層

注意: Microsoft Windows 10 デスクトップオペレーティングシステムは、SASクライアントソフトウェアでサポートされています。

SAS Data Management Advanced Studio

使用する環境を選択してください。

SAS Data Management Advanced Studio には、1種類のSAS Management Contextual Extraction Language Pack(種類は選択)と、1種類の Quality Knowledge Base Locale(種類は選択)が含まれます。 特に指定しない場合、デフォルトでQuality Knowledge Base Locale for English(USA)が同梱されます。

Java SE 6 または、Java SE 7 が必須です。

Windows上では、 OpenSSL 1.0 以上が必要です。 OpenSSL DLLは、Windowsシステムディレクトリ内、または、システムPATHにあるディレクトリ内にインストールすることが必須です。

SAS Data Management Advanced SAS Clients

使用する環境を選択してください。

SAS Visual Analytics Mobile Clients (SAS Business Rules Managerにのみ含まれます)

SAS Visual Analytics Mobile Clients (SAS Mobile BI)は、App Storeからの無料ダウンロードにより、Apple iPadおよび、Androidタブレットで利用可能です。

Webブラウザ

SASがサポートしているWebブラウザのリストは、新しいプロダクトがテストされ承認されたら更新されます。 最新情報は、「SAS 9.4(TS1M0以降)がサポートするWebブラウザとプラグイン」のWebサイトを参照してください。


プロダクト要件

データベース(リポジトリ ストレージでサポートしているもの)

DataFlux Data Management Server および、 DataFlux Data Management Studio は、以下のデータベースのリポジトリストレージでの使用をサポートしています。

  • IBM DB2
  • Informix
  • Microsoft SQL Server
  • Oracle
  • SAS Web Infrastructure Platform Data Server
  • Sybase
  • Teradata

サードパーティソフトウェア

SASソフトウェアは、特定のサードパーティソフトウェア(オープンソースソフトウェアのみに限定されません)を提供することがあります。これは、サードパーティソフトウェアライセンス契約に基づきライセンスされます。 SASソフトウェアと共に提供されるサードパーティソフトウェアのライセンス情報に関しては、http://support.sas.com/thirdpartylicenses(英語)をご参照ください。

94A434
日本語版更新日:2017/06/30  英語版更新日:2017/05/25
リリース:9.4 (TS1M4), Rev.940_17w25
Pub Code:70956
SASおよびSAS Instituteのプロダクト名またはサービス名は、米国およびその他の国におけるSAS Institute Inc.の登録商標または商標です。 その他、記載されている会社名および製品名は各社の登録商標または商標です。
®は米国で登録されていることを示します。
Copyright© 2017, SAS Institute Inc., Cary, NC, USA.